Subject: Re: bug#45156: 28.0.50; Segfault due to glyph_row being set to NULL

From: Stefan Kangas <[email-masked]>
Date: Thu, 10 Dec 2020 02:35:52 -0600

Torsten Bronger <[email-masked]> writes:

> I see Emacs segfaulting when moving the cursor upwards in a LaTeX
> document while tex-fold-mode is active.  The starting position of the
> cursor is important.
>
> I placed all files to reproduce the bug at
> <http://wilson.bronger.org/emacs-glyph_row-bug.tar>.  The TeX file needs

I've attached the relevant file test.tex here.

> to be put in /tmp.  tex-fold-mode must be present.  Furthermore, place
> .emacs and .emacs.desktop in the proper positions, start current Git
> Emacs, and press the "cursor up" button.  Then, Emacs crashes for me.

Here are the steps I followed:

0. Install auctex
1. Put test.tex in /tmp
2. emacs -Q
3. C-x C-f /tmp/test.tex
4. <up>

But I did not see any crash.  Are any other steps needed to reproduce
this?

Could you also produce a backtrace of the problem?  You can find
instructions for doing that by typing `C-h C-d'.  Don't forget to
rebuild Emacs with debugging symbols first.

> The subject of this bug is just to give it a name.  I do not know
> whether glyph_row is the issue.  However, I bisected the problem, and it
> started with commit f425a774, which sets glyph_row to NULL in two
> places.  If I revert this commit, the problem is gone.